# Uses of Interface
org.eclipse.emf.cdo.admin.CDOAdminClient

Packages that use CDOAdminClient
Package
Description
org.eclipse.emf.cdo.admin
Client side of the protocol to administer CDO repositories remotely.

## Uses of CDOAdminClient in org.eclipse.emf.cdo.admin

Methods in org.eclipse.emf.cdo.admin that return CDOAdminClient
Modifier and Type
Method
Description
`CDOAdminClient`
CDOAdminClientRepository.`getAdmin()`
`CDOAdminClient`
CDOAdminClientManager.`getConnection(String url)`
`CDOAdminClient[]`
CDOAdminClientManager.`getConnections()`
`CDOAdminClient`
CDOAdminClient.ConnectionStateChangedEvent.`getSource()`
`static CDOAdminClient`
CDOAdminClientUtil.`openAdmin(String url)`
`static CDOAdminClient`
CDOAdminClientUtil.`openAdmin(String url, long timeout)`
`static CDOAdminClient`
CDOAdminClientUtil.`openAdmin(String url, long timeout, org.eclipse.net4j.util.container.IManagedContainer container)`
Methods in org.eclipse.emf.cdo.admin with parameters of type CDOAdminClient
Modifier and Type
Method
Description
`boolean`
CDOAdminClientManager.`removeConnection(CDOAdminClient connection)`